dofile("data/scripts/lib/utilities.lua")

table.insert(
	perk_list,
	{
		id = "REGEN_%_PERK",
		ui_name = "Health Regeneration",
		ui_description = "You regenerate Health.",
		ui_icon = "mods/Regen%Perk/files/data/perkdata/res/regen_ui.png",
		perk_icon = "mods/Regen%Perk/files/data/perkdata/res/regen_perk.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,

		func = function(entity_perk_item, entity_who_picked, item_name)
			EntityAddComponent(entity_who_picked, "LuaComponent", {
                execute_on_added="1",
                remove_after_executed="0",
                execute_every_n_frame=60*ModSettingGet("Regen%Perk.RegenDelay"),
                script_source_file="mods/Regen%Perk/files/data/scripts/health_regeneration.lua",	
                  } )	
          end,
	}
)
