dofile_once("data/scripts/game_helpers.lua")
dofile_once("data/scripts/lib/utilities.lua")

local damagemodels = EntityGetComponent(GetUpdatedEntityID(), "DamageModelComponent")

-- what does this do?
if (damagemodels ~= nil ) then
    -- ...and this?
    for i,v in ipairs(damagemodels) do
        local targethp

        -- get current and max hp
	currenthp = tonumber(ComponentGetValue(v, "hp" ))
	maxhp = tonumber(ComponentGetValue(v, "max_hp"))

		-- only do regen when allowed
		if (currenthp < maxhp * ModSettingGet("Regen%Perk.RegenStop")) then
			-- add regen to health
            if (currenthp > maxhp * ModSettingGet("Regen%Perk.CriticalHp")) then
                -- heal slowly
	        targethp = currenthp + (maxhp * ModSettingGet("Regen%Perk.RegenAmount"))
	    else
                -- heal fast
	        targethp = currenthp + (maxhp * ModSettingGet("Regen%Perk.RegenAmountCritical"))
	    end
		
            -- prevent overheal
	    if (targethp > maxhp * ModSettingGet("Regen%Perk.RegenStop")) then
                targethp = maxhp * ModSettingGet("Regen%Perk.RegenStop")
            end
     
            -- apply regen to hp
	    ComponentSetValue(v, "hp", targethp)
        end
                
	break
	end
end
